ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artstoc

clean:
	rm -f *.o *.lo artstoc
	rm -Rf .libs

strip:: artstoc
	@-if [ -f .libs/artstoc ]; then \
	  strip .libs/artstoc ; \
	else \
	  strip artstoc ; \
	fi

artstoc: artstoc.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artstoc.o ${ARTSCLASSLIB} @LIBS@ -o artstoc

artstoc.o: artstoc.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artstoc.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artstoc @bindir@/artstoc
	../../install-sh -c -m 444 artstoc.man @mandir@/manl/artstoc.l

tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artstoc
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artstoc.l


